commit e994aca370f6148f692a4ab9794daa8a522e37db
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Mar 4 19:42:54 2018 -0800

    iceauth 1.0.8
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bfaf0fb4cc18adf377753eb9c47953b0ca30b3b7
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:20 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit 20a14cffe1d64a61ab0208fc3e94232d2f1361ac
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f9d9da776b7a5ca4510c2865adcefd39430ae2ea
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 60749d4162ae4c3cafe0ae6bc4ed24631f457e65
Author: Niveditha Rau <niveditha.rau@oracle.com>
Date:   Fri Apr 24 11:13:14 2015 -0700

    Add -u & -V options to synopsis in man page
    
    Signed-off-by: Niveditha Rau <niveditha.rau@oracle.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fba114e03845a4cfab966f0545e809fdba9e9365
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 16 22:12:11 2015 -0800

    iceauth 1.0.7
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 04c0fe624bf0140e0f938942e48a01ce5c01b7be
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 1 23:38:45 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6e38d6b6598f3beb36a5526f482a6356e85c4fd5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 1 23:38:45 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b0c12dd905053b38d81d44c222dbef999e992193
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 1 23:38:40 2014 -0700

    config: Add missing AC_CONFIG_SRCDIR
    
    Regroup AC statements under the Autoconf initialization section.
    Regroup AM statements under the Automake initialization section.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2222cab2a3cc2615e7a3f2ec8665fdfcabc0436c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 16:15:19 2014 -0700

    More constification cleanup
    
    Started by fixing gcc warning:
    iceauth.c:47:1: warning: initialization discards ‘const’ qualifier from
     pointer target type [enabled by default]
     static char *defcmds[] = { "source", "-", NULL };  /* default command */
     ^
    
    and chasing down the rabbit hole of the functions the command line
    arguments can be passed through, until we came out the other side
    const clean.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2e692217544b8712d7bb41776cfd7f1bcca1070b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Dec 8 12:54:10 2013 -0800

    Free old argv array if realloc fails to enlarge it
    
    Found by cppcheck:
    [app/iceauth/process.c:302]: (error) Common realloc mistake:
     'argv' nulled but not freed upon failure
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f6316d16b2239220dd9f043bcc628a503f89ab5c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Nov 5 23:48:50 2013 -0800

    Print which option was in error along with usage message
    
    Special case -u, since it's documented as printing the usage message
    (sort of like an ancient --help), so shouldn't be called unrecognized.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>

commit acee3b71b38ba4bcdd0b46557546e22dcdc320cb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Nov 5 23:34:20 2013 -0800

    Add -V flag to print version
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>

commit ad85d2eb4e44f21e8e38aa3bdec4acb139989218
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Nov 5 23:26:24 2013 -0800

    Fix "noexistent" typo in error message
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>

commit e371fa337f256306fb93eaca7fbbe8ee5283dcfa
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Nov 5 23:20:34 2013 -0800

    Actually print command list in usage message
    
    The xauth routine this was based on took three arguments:
    a file pointer, a command name, and a prefix.
    
    If a command name is given, prints help on that command,
    else if it's null, prints help on all commands.
    
    The iceauth version has only two arguments: file pointer & command name.
    It was being called with file pointer & prefix, and since the prefix
    matched no command names, no help was printed.
    
    Since the way iceauth's help list is structured doesn't make it easy
    to add a prefix to every line, skip indentation for now and just pass
    NULL for the command argument.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>

commit c07d443d43e53cfe21b53a9a0eafcd6189432867
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jul 23 23:15:01 2013 -0700

    iceauth 1.0.6
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3e9250a5bc0c5e525c231eca1f241c545ac412ac
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jul 17 22:34:37 2013 -0700

    Constify some more string pointers to fix gcc warnings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit aa38bef15c15c90e6ec831a202e6e147b889b6a6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jul 17 22:27:28 2013 -0700

    Use void * instead of char * for generic pointer arg to DoFunc functions
    
    Quiets clang warnings of:
    process.c:754:29: warning: cast from 'char *' to 'struct _list_data *'
     increases required alignment from 1 to 8 [-Wcast-align]
        struct _list_data *ld = (struct _list_data *) data;
                                ^~~~~~~~~~~~~~~~~~~~~~~~~~
    process.c:787:32: warning: cast from 'char *' to 'struct _extract_data *'
     increases required alignment from 1 to 8 [-Wcast-align]
        struct _extract_data *ed = (struct _extract_data *) data;
                                   ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    process.c:988:22: warning: cast from 'char *' to 'int *'
     increases required alignment from 1 to 4 [-Wcast-align]
        int *nremovedp = (int *) data;
                         ^~~~~~~~~~~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a79de96226321f79f471574830d64080559a1557
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jul 17 22:22:15 2013 -0700

    Mark unused arguments in callback functions to quiet clang warnings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9c2e2d401d32ed3f6a4e4e775581321eada9c734
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jul 17 22:17:11 2013 -0700

    Fix some sign/size conversion warnings from clang
    
    process.c:410:22: warning: implicit conversion changes signedness:
      'int' to 'size_t' (aka 'unsigned long') [-Wsign-conversion]
        retval = malloc (len);
                 ~~~~~~  ^~~
    process.c:454:30: warning: implicit conversion changes signedness:
      'int' to 'size_t' (aka 'unsigned long') [-Wsign-conversion]
                strncmp (cmd, ct->name, n) == 0) {
                ~~~~~~~                 ^
    process.c:450:9: warning: implicit conversion loses integer precision:
      'size_t' (aka 'unsigned long') to 'int' [-Wshorten-64-to-32]
        n = strlen (cmd);
          ~ ^~~~~~~~~~~~
    process.c:1028:34: warning: implicit conversion changes signedness:
      'int' to 'size_t' (aka 'unsigned long') [-Wsign-conversion]
                if (strncmp (cmd, ct->name, len) == 0) {
                    ~~~~~~~                 ^~~
    process.c:1026:12: warning: implicit conversion loses integer precision:
      'size_t' (aka 'unsigned long') to 'int' [-Wshorten-64-to-32]
            int len = strlen (cmd);
                ~~~   ^~~~~~~~~~~~
    process.c:1560:8: warning: implicit conversion loses integer precision:
      'size_t' (aka 'unsigned long') to 'int' [-Wshorten-64-to-32]
            len = strlen (buf);
                ~ ^~~~~~~~~~~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 21e6ddc42acc7864fb260c101060dee5cebf07c1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 23 10:07:03 2013 -0800

    Add _X_NORETURN attributes suggested by gcc
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ef04ccaac0e501612367c098410129f89e1d109a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 23 10:02:50 2013 -0800

    Assume signal handlers return void, as C89 requires
    
    Drops use of autoconf's obsolete AC_TYPE_SIGNAL and Imake's even more
    obsolete SIGNALRETURNSINT.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 27846ea3e133dbb45a4e67500eba15bf5d6c796c
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Mon May 23 19:39:04 2011 -0700

    configure.ac: Bump to 1.0.5
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit c791ec2ba9614e661e978436f56ed21f918750f8
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Mon May 23 19:37:50 2011 -0700

    auth_finalize: Attempt to rename() if link() fails
    
    On some file systems (like AFP), hard links are not supported. If
    link fails, try rename() before giving up.
    
    Reported-by: Jamie Kennea <jamie@pompey.org>
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 90640776b88b32cea2316670a3b29f7785aadc7a
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Thu Apr 28 00:51:30 2011 -0700

    Error out and avoid a call to malloc(0) if given a bad hex string
    
    Found-by: clang static analyzer
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit ada8df395e72f84127394dadd15a180afa8ec0ec
Author: David Nusinow <dnusinow@debian.org>
Date:   Fri Dec 3 16:29:51 2010 -0500

    Make iceauth manpage describe commands. (fd.o bug#2354)
    
    Reviewed-by: Jesse Adkins <jesserayadkins@gmail.com>
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit ed7ce17bb0169b3bbf2cf035bc2b221fd0c9beb2
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 19 10:06:55 2011 -0500

    config: move man pages into their own directory
    
    Use services provided by XORG_MANPAGE_SECTIONS.
    Use standard Makefile for man pages.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 3b57666a804ce53eed82f1a80c34ef479ca1e36a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 11:15:00 2011 -0500

    man: remove trailing spaces and tabs
    
    Using s/[ \t]*$//
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e67acbba6ac2a92a8de5b2d014b5d3a8609eb36a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 16:28:02 2011 -0500

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    This silences an Autoconf warning

commit e170e5dbea7e785797cbd0d919d5f5d3d77b7006
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 13:10:21 2011 -0500

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 08f5377a4a853d06ec1a0396a2f1622eb6ee93ba
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 11:54:40 2011 -0500

    config: use AC_PROG_INSTALL now supplied by XORG_DEFAULT_OPTIONS
    
    It depends on util-macros 1.8 or later
    The existing statement can now be removed from the configuration file.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b39fab5b9af70282ab640a8a9d6b56671aeda78b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 29 21:46:07 2010 -0700

    iceauth 1.0.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3c1b044f63d4865378a2307dd0024afca7196b42
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Oct 21 15:01:29 2010 -0700

    Remove unnecessary AC_SUBST of ICEAUTH_LIBS & ICEAUTH_CFLAGS
    
    PKG_CHECK_MODULES automatically handles those for us
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a33fa043dfd5e84b9afd39842d848265b16ac5d7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Oct 21 14:59:42 2010 -0700

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    Enables use of platform appropriate version of sed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5f79bb90cd0e3c18c184f7beb75c83e31aae6951
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 18:45:18 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit f2b54a282333be841099773ee8788a2a7e2fea3b
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Tue Sep 28 13:29:49 2010 -0700

    Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>

commit 1944291c5f541796b1ac9f036a51cb1dae0cdd81
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 7 17:46:31 2010 -0500

    COPYING: replace stub with actual Copyright notice
    
    Refer to iceauth.c
    Copyright 1989, 1998  The Open Group
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 5f29af7ab19398501f2f2b6729a806b814534801
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 26 09:19:52 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 8c19177d9937196f19975f4145e6377b1b4b17e8
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:07 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit 3277a2349dcf9400f67dc3f91d4b6097a56d7faa
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:38 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit 9eaace4030847a25af7759c6f052e01250febdd6
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:14 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 2ae7affc9be66652240219e42abdc63c693369e0
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Sep 27 15:55:52 2009 -0400

    Makefile.am: do not include autogen.sh in distribution #24183
    
    This is a private build script that should not be distributed

commit eff30656f880bb3c362d7db4b82345b70b7282ee
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Wed Oct 21 12:47:19 2009 -0700

    This is not a GNU project, so declare it foreign.
    
    On Wed, 2009-10-21 at 13:36 +1000, Peter Hutterer wrote:
    > On Tue, Oct 20, 2009 at 08:23:55PM -0700, Jeremy Huddleston wrote:
    > > I noticed an INSTALL file in xlsclients and libXvMC today, and it
    > > was quite annoying to work around since 'autoreconf -fvi' replaces
    > > it and git wants to commit it.  Should these files even be in git?
    > > Can I nuke them for the betterment of humanity and since they get
    > > created by autoreconf anyways?
    >
    > See https://bugs.freedesktop.org/show_bug.cgi?id=24206
    
    As an interim measure, replace AM_INIT_AUTOMAKE([dist-bzip2]) with
    AM_INIT_AUTOMAKE([foreign dist-bzip2]). This will prevent the generation
    of the INSTALL file. It is also part of the 24206 solution.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@freedesktop.org>

commit 42a269e9d35234306d3208eef9c8bdb2c04caf08
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Sat Oct 10 19:58:20 2009 -0700

    iceauth 1.0.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit e772cc19bf632b3f94c5a6e841f4eef4f7b89e72
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Sat Oct 10 19:57:34 2009 -0700

    Migrate to xorg macros 1.3 & XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 42a6f0bc10530c31643b2fd768c48750ec451391
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 1 14:54:17 2009 -0700

    Add README with pointers to mailing lists, bugzilla, & git
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 04f61947ea6c3638001057934588938473b454b3
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Thu Jan 15 18:38:12 2009 -0200

    Ansification and compile warning fixes.
    
      This also uses XORG_CHANGELOG and XORG_CWARNFLAGS, corrects
    make distcheck. There weren't any gcc 4.3 and sparse warnings.

commit 5e52eb5d27986490dfad02781a452b8d0650f4b9
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Jul 23 18:23:56 2007 -0700

    Version bump: 1.0.2

commit 4471761150676a8cee5631615bc187019b760161
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Jul 23 17:49:59 2007 -0700

    Change iceauth_CFLAGS to AM_CFLAGS to avoid automake-1.10 warning
    
    Makefile.am:27: compiling `iceauth.c' with per-target flags requires `AM_PROG_CC_C_O' in `configure.ac'

commit bc7a27ab2e4e3339b9c2ee3bb90a38662b128448
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri May 18 12:58:23 2007 -0700

    More constification and reduction of rw data in binary

commit 45bb32cecdcf3319ae268f29a3ba1c33378e0acf
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri May 18 12:57:00 2007 -0700

    Debian Bug #25285: iceauth manpage starts with blank screen
    
    <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=25285>

commit bff96f0f863ba98fe5a66110ae0e29ca26336861
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu May 17 14:08:03 2007 -0700

    Constify some static data constants

commit c5e43b03ca7176907dd8d0d0964e0fd0460b9ff5
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu May 17 13:50:05 2007 -0700

    ANSIfy function declarations

commit b2761be7f786fe9fde424b4331479d3ac5082f16
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu May 17 13:23:25 2007 -0700

    Fix some lint warnings
    
    (611) warning: assignment of 64-bit integer to 32-bit integer
    (653) warning: variable argument to strcpy(); make sure it's safe
    (728) warning: sign extension from 32-bit to 64-bit integer

commit 77cadcef6ea687e7181aa222c47402f34644a6ea
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu May 17 13:02:49 2007 -0700

    Add option to check code with lint/sparse/etc.

commit 2afbb4393b1053fcb2edbec7c92575245efabffe
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu May 17 12:59:51 2007 -0700

    Replace static ChangeLog with disthook to generate from git log

commit 0022cf7baf11bccea0024d0dc8c1ecc37e46ef3d
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed May 16 20:14:10 2007 -0700

    Bug 10739: iceauth dumps core if signal caught before initialization done
    
    X.Org Bugzilla #10739 <http://bugs.freedesktop.org/show_bug.cgi?id=10739>
    
    Adding a test for NULL filename before calling IceUnlockAuthFile in
    auth_finalize cleared the crash, but left the lock file behind.
    Moving the initialization of authfilename to earlier in auth_initialize()
    allowed the locks to be cleaned up as well.

commit f749d926bd9796badee2efd1ee1da5905d6fd38d
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon May 14 19:04:24 2007 -0700

    Replace copystring() with strdup() calls
    
    Also solves Coverity #924: Function copystring:
      Pointer "src" dereferenced before NULL check

commit 1a142e8b29113bbd9daf21b8371f1572cd0152dd
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon May 14 18:57:31 2007 -0700

    Coverity #1089: Double frees in error cleanup path
    
    Double free of pointer "(auth)->auth_data" in call to "free"
    Double free of pointer "(auth)->protocol_data" in call to "free"

commit 4c1bd3d698bbb2ec4c1f8d3744549ec44c58d1bf
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon May 14 18:47:48 2007 -0700

    renamed: .cvsignore -> .gitignore

commit ca8a9af2c282da78eac601e316d7db553cb411b3
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon May 14 18:47:24 2007 -0700

    Coverity #1039: Using uninitialized value "authdata"

commit 59ccc789fa5d7d34cd81d28f46b6022e92536d6b
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:29:42 2005 +0000

    Update package version for X11R7 release.

commit d8dd7304386ba1ca8a6fbbcdcc6c4d790599ac91
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:22:40 2005 +0000

    Stub COPYING files

commit f3a5ff191dda517c3331760d97549a826ede4266
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:02 2005 +0000

    Update package version number for final X11R7 release candidate.

commit 589df4ac932d1c5616c12a331ef99c0ac6f75563
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:16 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit 7ec4ba15177f055afb6dc9972763c25bfc79cec9
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:15 2005 +0000

    Update package version number for X11R7 RC3 release.

commit 31a2c7a834076f86bb801de6f7c6ff2a454e3db3
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:01:37 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit de9318f27ce26c5362d71a970738db261277a630
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Nov 21 10:34:55 2005 +0000

    Another pass at .cvsignores for apps.

commit 9b58fd72a610a45eb5a93d04d6b7b883ca3b8faf
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sun Nov 20 22:08:48 2005 +0000

    Add/improve .cvsignore files for apps.

commit cab89641f369a196d4ad7ad23db8e6dfc2257d01
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sun Nov 20 18:08:14 2005 +0000

    iceauth only depends on xproto headers, not x11 library

commit e4b6fddc688dbb65353f818dd482c1a0dd9575f8
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:47:48 2005 +0000

    Update package version number for RC1 release.

commit 1ded5d399305e930b7e3dcbb5ca48cbf5018faa7
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 23:56:19 2005 +0000

    Use @APP_MAN_SUFFIX@ instead of $(APP_MAN_SUFFIX) in macro substitutions to
        work better with BSD make

commit a0fcb616a2e44353758f3010769b1e975f7944b9
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Oct 14 00:25:41 2005 +0000

    Use sed to fill in variables in man page

commit 973f5b5e29f4ecc43e47799dcd747d67c956edd6
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Aug 1 20:25:27 2005 +0000

    Install man pages to section 1 instead of section m (Patch from Donnie
        Berkholz)

commit 8f0e8e0af05244c5a10914dc789c97f99e7a2aa3
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:29 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit ee46a1af27aabf3178af70b02d95356d757572d3
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Jul 26 18:58:14 2005 +0000

    Use AC_TYPE_SIGNAL and AC_FUNC_VFORK to replace Imake's SIGNAL_DEFINES and
    -DHAS_VFORK

commit c911c36dadcb8070fbdf94d7f9eef494e18b5094
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Jul 26 18:55:42 2005 +0000

    Add config.h includes for modularization Use RETSIGTYPE if defined by
        autoconf in addition to Imake's SIGNALRETURNSINT. Use
        HAVE_WORKING_VFORK if defined by autoconf in addition to Imake's
        HAS_VFORK

commit 055e01c0756e6aa8603169dd104cdd2153d2b749
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Jul 20 19:31:48 2005 +0000

    Use a unique token for PKG_CHECK_MODULES. Otherwise, if you use a global
        configure cache, you cache it, and the cached value is probably wrong.

commit c83a1200d2480ac67d755e4c589b524d1b834a6a
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Jul 16 20:52:25 2005 +0000

    Mark variables modified in signal handlers as volatile (part of Sun bug id
        4496504)

commit d0bc63cf13e98f686bd371a0ab609018e7fdf8c2
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Tue Jun 28 15:04:15 2005 +0000

    Add build system for iceauth

commit 2562a65de3dfa44006c1f82052814d9b54e00f37
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 19:54:33 2004 +0000

    Merging XORG-CURRENT into trunk

commit d8eefa5e8a51e448eecb9ec6be656775be2884cd
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:34:51 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit c560cd34038b23f28862bc890f3aaf161bb64c32
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:12:50 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit d05d91dcd79d5ce8ce548da80ae6e11eb8a4fcc7
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:36:15 2004 +0000

    readding XFree86's cvs IDs

commit a833bab02a6cbe19724b6bb4583f4ffaa24a0534
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:23:54 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit a3101452dc6f4ef01c328fad7e18685363937bcf
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:57 2003 +0000

    XFree86 4.3.0.1

commit 511f5a05d0cc763d60b6b39584ea29b287cb801c
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 15:54:52 2003 +0000

    R6.6 is the Xorg base-line
